<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 2</title>
	<script type="text/javascript">
		
		window.addEventListener("load",function(){

			let botones = document.querySelectorAll("button");
			console.log(botones);

			for (var i = 0; i <botones.length; i++) {

				if(botones[i].value=="C"){
					botones[i].addEventListener("click",function(evento){						
						document.querySelector("#caja").value = "";
					});
				}
				else{
					botones[i].addEventListener("click",function(evento){					
						document.querySelector("#caja").value += botones[i].value;
					});
				};	
			}

		});

	</script>
</head>
<body>
	<form action="2_submit" method="get" accept-charset="utf-8">
		<button type="button" id="boton1" value="1">1</button>
		<button type="button" id="boton2" value="2">2</button>
		<button type="button" id="boton3" value="3">3</button>
		<input type="text" id="caja" name="texto" value="" placeholder="">
		<button type="button" id="botonC" value="C">C</button>
	</form>
</body>
</html>